package com.yunfeiyun.agmp.common.core.domain.model;

import com.yunfeiyun.agmp.common.core.domain.BaseEntity;

import java.io.Serializable;

public class AbstractTheme extends BaseEntity implements Serializable , IBaseTheme {
    private String themeId;
    private String themeName;
    private String systemName;
    private String copyright;
    private String logoUrl;

    @Override
    public String getThemeId() {
        return themeId;
    }
    @Override
    public void setThemeId(String themeId) {
        this.themeId = themeId;
    }
    @Override
    public String getThemeName() {
        return themeName;
    }
    @Override
    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }
    @Override
    public String getCopyright() {
        return copyright;
    }
    @Override
    public void setCopyright(String copyright) {
        this.copyright = copyright;
    }
    @Override
    public String getSystemName() {
        return systemName;
    }

    @Override
    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    @Override
    public String getLogoUrl() {
        return logoUrl;
    }
    @Override
    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }
}
